# Class CIM_SystemSetting
extends CIM_Setting

CIM_SystemSetting represents the general concept of a CIM_Setting that is scoped by a System.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Setting
|
+--CIM_SystemSetting

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | CIM_SystemSetting represents the general concept of a CIM_Setting that is scoped by a System.
UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
SettingID | string |
Description | string | The identifier by which the Setting object is known.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | SettingID
SystemCreationClassName | string |
Description | string | The CreationClassName of the scoping system.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.CreationClassName
SystemName | string |
Description | string | The Name of the scoping system.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_System.Name

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ApplyIncrementalChangeToCollection | uint32 | CIM_Setting
ApplyIncrementalChangeToMSE | uint32 | CIM_Setting
ApplyToCollection | uint32 | CIM_Setting
ApplyToMSE | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToCollection | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToMSE | uint32 | CIM_Setting
VerifyOKToApplyToCollection | uint32 | CIM_Setting
VerifyOKToApplyToMSE | uint32 | CIM_Setting